import { DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';

export interface FileTalkShareRequest extends APIRequest {
  userSeq: string;
  deviceType: DeviceType;
  token: string;
  attachmentsSeq?: string;
  roomId?: string;
  synapKey?: string;
}

export interface FileTalkShareResponse extends APIResponse {
  RoomID?: string;
  FileName?: string;
  FileExt?: string;
  FileType?: string;
  ThumbURL?: string;
  AttSEQ?: string;
  AttSize?: string;
  AttRegDate?: string;
  CompanyCode?: string;
  SynapKey?: string;
}
