import { AppType, DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';

export interface CompanyListRequest extends APIRequest {
  userSeq?: string;
  appType?: AppType;
  deviceType?: DeviceType;
  token?: string;
  companyGroupCode: string;
}

export interface Company {
  companyCode?: string;
  companyName?: string;
  companyDomain?: string;
  companyConfAuthYn?: string;
  ucapUseYn?: string;
  companyTimerChatAuthYn?: string;
}

export interface CompanyListResponse extends APIResponse {
  companyList?: Company[];
}
