import { DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';

export interface UrlInfoRequest extends APIRequest {
  deviceType: DeviceType;
}

export interface UrlInfoResponse extends APIResponse {
  portCheckUrl?: string;
  messageUrl?: string;
  messageUrl2?: string;
  passwordUrl?: string;
  planUrl?: string;
  planUrl2?: string;
  vocUrl?: string;
  confUrl?: string;
  uprApiUrl?: string;
  uprSvcUrl?: string;
  uprDownloadUrl?: string;
  synapViewUrl?: string;
}
