import { DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';

export interface UpdateInfoRequest extends APIRequest {
  deviceType: DeviceType;
}

export interface UpdateInfoResponse extends APIResponse {
  appVersion?: string;
  installUrl?: string;
  launcherAppVersion?: string;
  launcherInstallUrl?: string;
}
