import { DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';

export interface FileProfileSaveRequest extends APIRequest {
  userSeq: string;
  deviceType: DeviceType;
  token: string;
  file?: File;
  intro?: string;
  initProfileImage?: boolean;
}

export interface FileProfileSaveResponse extends APIResponse {
  ProfileURL?: string;
  ProfileSubDir?: string;
}
