import { DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';

export interface MassTalkDownloadRequest extends APIRequest {
  userSeq: string;
  deviceType: DeviceType;
  token: string;
  eventMassSeq?: string;
}

export interface MassTalkDownloadResponse extends APIResponse {
  Content?: string;
  UserName?: string;
  RegDate?: string;
}
