import { DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';

export interface MassTalkSaveRequest extends APIRequest {
  userSeq: string;
  deviceType: DeviceType;
  token: string;
  content?: string;
  roomId?: string;
}

export interface MassTalkSaveResponse extends APIResponse {
  EventMassSEQ?: string;
  RoomID?: string;
  RegDate?: string;
  Content?: string;
}
