import { DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';

export interface TransMassTalkDownloadRequest extends APIRequest {
  userSeq: string;
  deviceType: DeviceType;
  token: string;
  eventTransSeq?: string;
}

export interface TransMassTalkDownloadResponse extends APIResponse {
  Original?: string;
  Translation?: string;
  Locale?: string;
  UserName?: string;
  RegDate?: string;
}
