import { DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';

export interface TransMassTalkSaveRequest extends APIRequest {
  userSeq: string;
  deviceType: DeviceType;
  token: string;
  original?: string;
  translation?: string;
  roomId?: string;
  locale: string;
}

export interface TransMassTalkSaveResponse extends APIResponse {
  EventTransSEQ?: string;
  RoomID?: string;
  RegDate?: string;
  Locale?: string;
  Original?: string;
  Translation?: string;
}
