import { DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';

export interface TranslationReqRequest extends APIRequest {
  userSeq: string;
  deviceType: DeviceType;
  token: string;
  original: string;
  srcLocale: string;
  destLocale: string;
}

export interface TranslationReqResponse extends APIResponse {
  SrcLocale?: string;
  DestLocale?: string;
  Original?: string;
  Translation?: string;
}
