import { DeviceType, PushType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';

export interface TokenUpdateRequest extends APIRequest {
  userSeq: string;
  deviceType: DeviceType;
  token: string;
  mobilePid?: string;
  pushType?: PushType;
}

// tslint:disable-next-line: no-empty-interface
export interface TokenUpdateResponse extends APIResponse {}
